using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using MySql.Data.MySqlClient;

public partial class _Default : System.Web.UI.Page
{
    //tables schema for this test
    //------------------------------------------------
    //DROP TABLE IF EXISTS `test`.`update_test`;
    //CREATE TABLE  `test`.`update_test` (
    //  `TestID` int(10) unsigned NOT NULL AUTO_INCREMENT,
    //  `TestValue` varchar(45) NOT NULL,
    //  PRIMARY KEY (`TestID`)
    //) ENGINE=InnoDB DEFAULT CHARSET=latin1;


    protected void Page_Load(object sender, EventArgs e)
    {


        //create testset
        TestDataSet TestSet = new TestDataSet();

        for (int TryCount = 0; TryCount < 3; TryCount++)
        {
            TestDataSet.TestTableRow TestRow = TestSet.TestTable.NewTestTableRow();

            TestRow.TestValue = Guid.NewGuid().ToString();

            TestSet.TestTable.AddTestTableRow(TestRow);
        }






        //create connection
        MySqlConnection Connection = new MySqlConnection("Database=test;server=localhost;User Id=root;Password=stdlae13;Pooling=true;");

        //create adapter
        MySqlDataAdapter Adapter = new MySqlDataAdapter("Select TestID,TestValue From update_test", Connection);


        //create commandbuilder
        MySqlCommandBuilder Builder = new MySqlCommandBuilder(Adapter);

        Adapter.InsertCommand = Builder.GetInsertCommand();

        Adapter.InsertCommand.UpdatedRowSource = UpdateRowSource.FirstReturnedRecord;

        //update
        Connection.Open();

        Adapter.Update(TestSet.TestTable);

        Connection.Close();


        //display UpdatedRowSource
        this.GridView1.DataSource = TestSet.TestTable;
        this.GridView1.DataBind();

        //notice the the TestID is not reurn


    }
}
